\begin{caml_primitive}
length_nat : nat -> int
num_digits_nat : nat * int * int -> int
\end{caml_primitive}
\verb"length_nat nat" is the presupposed length of $nat$ and 
\verb"num_digits_nat (nat, off, len)" is the real length of subnat 
$nat_{off, len}$.

\exple
\begin{small}
\begin{verbatim}
#let nat = create_nat (#2) in
#  set_digit_nat (nat, #0, #1); 
#  set_digit_nat (nat, #1, #0);
#  (length_nat nat, num_digits_nat (nat, #0, #2))
#;;
(2,1) : int * int
\end{verbatim}
\end{small}
