\begin{caml_primitive}
power_num_int : num * int -> num
power_num_big_int : num * big_int -> num
power_num : num * num -> num
\end{caml_primitive}

\verb"power_num_int (n, i)" and \verb"power_num_big_int (n, bi)" yield the 
rational number resulting respectively from the computation of $n^{i}$ and 
$n^{bi}$.

\verb"power_num (n1, n2)" yields the rational number resulting from the 
computation of $n1^{n2}$ where n2 is an integer, possibly a ``big'' one.

\exple
\begin{small}
\begin{verbatim}
#power_num_int (#{1.09},#10);;
#{236736367459211723401/100000000000000000000} : num

#power_num_big_int (#{2}, #(32));;
#{0} : num

#power_num_big_int (#{2}, #(-32));;
#{1/0} : num

#power_num (#{2/3},#{3});;
#{8/27} : num
\end{verbatim}
\end{small}
